Blanking
========

..  contents::
    :local:
    :depth: 2


Value Blanking
--------------

..  contents::
    :local:
    :depth: 1

.. py:currentmodule:: tecplot.plot

ValueBlanking
^^^^^^^^^^^^^

.. autoclass:: ValueBlanking

    **Attributes**

    .. autosummary::
        :nosignatures:

        active

    **Methods**

    .. autosummary::

        constraint

.. autoattribute:: ValueBlanking.active
.. automethod:: ValueBlanking.constraint

.. py:currentmodule:: tecplot.plot

ValueBlankingCartesian2D
^^^^^^^^^^^^^^^^^^^^^^^^

.. autoclass:: ValueBlankingCartesian2D

    **Attributes**

    .. autosummary::
        :nosignatures:

        active
        cell_mode

    **Methods**

    .. autosummary::

        constraint

.. autoattribute:: ValueBlankingCartesian2D.active
.. autoattribute:: ValueBlankingCartesian2D.cell_mode
.. automethod:: ValueBlankingCartesian2D.constraint

.. py:currentmodule:: tecplot.plot

ValueBlankingCartesian3D
^^^^^^^^^^^^^^^^^^^^^^^^

.. autoclass:: ValueBlankingCartesian3D

    **Attributes**

    .. autosummary::
        :nosignatures:

        active
        cell_mode

    **Methods**

    .. autosummary::

        constraint

.. autoattribute:: ValueBlankingCartesian3D.active
.. autoattribute:: ValueBlankingCartesian3D.cell_mode
.. automethod:: ValueBlankingCartesian3D.constraint

.. py:currentmodule:: tecplot.plot

ValueBlankingConstraint
^^^^^^^^^^^^^^^^^^^^^^^

.. autoclass:: ValueBlankingConstraint

    **Attributes**

    .. autosummary::
        :nosignatures:

        active
        compare_by
        comparison_operator
        comparison_value
        comparison_variable
        comparison_variable_index
        variable
        variable_index

.. autoattribute:: ValueBlankingConstraint.active
.. autoattribute:: ValueBlankingConstraint.compare_by
.. autoattribute:: ValueBlankingConstraint.comparison_operator
.. autoattribute:: ValueBlankingConstraint.comparison_value
.. autoattribute:: ValueBlankingConstraint.comparison_variable
.. autoattribute:: ValueBlankingConstraint.comparison_variable_index
.. autoattribute:: ValueBlankingConstraint.variable
.. autoattribute:: ValueBlankingConstraint.variable_index

.. py:currentmodule:: tecplot.plot

ValueBlankingConstraintCartesian2D
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

.. autoclass:: ValueBlankingConstraintCartesian2D

    **Attributes**

    .. autosummary::
        :nosignatures:

        active
        color
        compare_by
        comparison_operator
        comparison_value
        comparison_variable
        comparison_variable_index
        line_pattern
        line_thickness
        pattern_length
        show_line
        variable
        variable_index

.. autoattribute:: ValueBlankingConstraintCartesian2D.active
.. autoattribute:: ValueBlankingConstraintCartesian2D.color
.. autoattribute:: ValueBlankingConstraintCartesian2D.compare_by
.. autoattribute:: ValueBlankingConstraintCartesian2D.comparison_operator
.. autoattribute:: ValueBlankingConstraintCartesian2D.comparison_value
.. autoattribute:: ValueBlankingConstraintCartesian2D.comparison_variable
.. autoattribute:: ValueBlankingConstraintCartesian2D.comparison_variable_index
.. autoattribute:: ValueBlankingConstraintCartesian2D.line_pattern
.. autoattribute:: ValueBlankingConstraintCartesian2D.line_thickness
.. autoattribute:: ValueBlankingConstraintCartesian2D.pattern_length
.. autoattribute:: ValueBlankingConstraintCartesian2D.show_line
.. autoattribute:: ValueBlankingConstraintCartesian2D.variable
.. autoattribute:: ValueBlankingConstraintCartesian2D.variable_index
